Subject: [Spridgets] Will a motorcycle jack clear our spridget in the front?

From: Linda Grunthaner <[email-masked]>
Date: Thu, 21 Mar 2013 09:18:56 -0400

So I was thinking about how much I hate using 2 small hydraulic jacks to
get stands under my Spridget and being I'll most likely buy
a motorcycle jack for my bus engine (also for the bike) has anyone ever
used one to lift their Spridget from the front? It appears it will easily
slide under but I don't know if they are low enough or if the front
mechanism will clear enough without hitting the front valance.

http://www.harborfreight.com/1500-lb-capacity-atv-motorcycle-lift-2792.html

I think this Horrible Freight brand will hold up our light LBC's as it is
good for 1.5K lbs.

Thanks Lin
------------------------

[email-masked]

Archive: http://www.team.net/archive